CREATE TABLE `cmsusers` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `username` varchar(25) NOT NULL default '',
  `password` varchar(32) NOT NULL default '',
  `publicalias` varchar(50) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `givenname` varchar(128) NOT NULL default '',
  `familyname` varchar(128) NOT NULL default '',
  `gender` enum('male','female') NOT NULL default 'male',
  `organisation` varchar(128) NOT NULL default '',
  `mailing` enum('yes','no') NOT NULL default 'no',
  `language` char(2) NOT NULL default 'nl',
  `type` enum('user','member','reviewer','editor','admin','superadmin') NOT NULL default 'user',
  `status` enum('off','on') NOT NULL default 'on',
  `update_time` int(11) NOT NULL default '0',
  `insert_time` int(11) NOT NULL default '0',
  `confirmcode` int(5) unsigned NOT NULL default '12345',
  `securityinfo` tinytext NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `login` (`username`,`status`,`confirmcode`),
  UNIQUE KEY `username` (`username`)
);

INSERT INTO `cmsusers` (`id`, `username`, `password`, `publicalias`, `email`, `givenname`, `familyname`, `gender`, `organisation`, `mailing`, `language`, `type`, `status`, `update_time`, `insert_time`, `confirmcode`, `securityinfo`) VALUES (1, 'admin', '5202f39377d1d70b992a5bf78514825e', 'Administrator', 'root@localhost', '', '', 'male', '', 'no', 'en', 'superadmin', 'on', unix_timestamp(), unix_timestamp(), 0, 'System account, no security info available');

CREATE TABLE `cmsusersstats` (
  `uid` int(10) unsigned NOT NULL default '0',
  `forumcount` int(11) NOT NULL default '0',
  PRIMARY KEY  (`uid`)
);
