<?
class cmsusers_admin 
{

	var $object;
	
	function cmsusers_admin (&$object)
	{
		$this->object=$object;
		require_once( (defined( 'CMS_CURRENT_LANGUAGE' )?CMS_CURRENT_LANGUAGE:CMS_LANGUAGES_DEFAULT).'_adm.php' );
	}
	
	function adminList( $page = 0 )
	{
		if( $this->object->hasRights( 'superadmin', CMS_CURRENT_USER_TYPE ) ) {
			$sql = "SELECT id, username as title, status, type as extra FROM ".$this->object->_tablename." ORDER BY username";
		} else {
			$sql = "SELECT id, username as title, status, type as extra FROM ".$this->object->_tablename." WHERE type<>'superadmin' ORDER BY username";
		}
		return cmstemplatesadmin::adminSimpleList( $this->object->_db, $this->object->_tablename, $sql, $page );
	}

        function adminEdit( $id )
        {
                if( $id ) {
                        $this->object->load( $id );
		}
		$vars = get_object_vars( $this->object );
		$vars['module'] = $this->object->_tablename;
		$vars['select_mailing'] = cmstemplatesadmin::selectList( 'mailing', array( 'no' => ADM_NO, 'yes' => ADM_YES ), $this->object->mailing );
		$vars['select_gender'] = cmstemplatesadmin::selectList( 'gender', array( 'female' => ADM_CMSUSERS_FEMALE, 'male' => ADM_CMSUSERS_MALE ), $this->object->gender );
		$languages = cmslanguages::getArray();
		$vars['select_language'] = cmstemplatesadmin::selectList( 'language', $languages, $this->object->language );
		if( $this->object->hasRights( 'admin', CMS_CURRENT_USER_TYPE ) ) {
			$rights = $this->object->getrightsArray();
			if( !$this->object->hasRights( 'superadmin', CMS_CURRENT_USER_TYPE ) ) {
				unset( $rights['superadmin'] );
			}
			$vars['select_rights'] = cmstemplatesadmin::selectList( 'type', $rights, $this->object->type );
		} else {
			$vars['select_rights'] = ADM_CMSUSERS_ADMINONLY;
		}
		return cmstemplates::show( 'cmsusers_admin_edit', $this->object->_tablename, $vars );
        }

	function adminSave( $id )
	{
		if( $id ) {
			$this->object->load( $id );
		}
		$this->object->bind( $_POST );
		$this->object->confirmcode = 0;
		if( $_POST['password1'] && $_POST['password1'] == $_POST['password2'] ) {
			$this->object->password = md5( $_POST['password1'] );
		} elseif ( $_POST['password1'] ) {
			//error: passwords not identical
		}
		if( !$this->object->securityinfo ) {
			$this->object->securityinfo = 'Added with the OpensourceCMS.eu backend, by user :'.CMS_CURRENT_USER_NAME;
		}
		$this->object->save();
		return $this->adminList();
	}

	function adminConfirmDelete( $id ) {
		$this->object->load( $id );
		if( $this->object->id ) {
			$vars = array( 'module' => $this->object->_tablename,
					'id'	=> $this->object->id,
					'title' => $this->object->username );
			return cmstemplates::show( 'delete', $this->object->_tablename, $vars );
		} else {
			return FALSE;
		}
	}

	function adminDelete( $id ) {
		$this->object->load( $id );
		$this->object->delete();
		return $this->adminList();
	}

	function on( $id ) {
		$this->object->on( $id );
		return $this->adminList();
	}
	
	function off( $id ) {
		$this->object->off( $id );
		return $this->adminList();
	}
}
?>	