<?php

define( 'CMSUSERS_WELCOME',                'Welcome' );
define( 'CMSUSERS_ADMIN_RIGHTS',           'Click the button below to access the Managementsystem of this website.' );
define( 'CMSUSERS_ADMIN_ENTER',            'Managementsystem' );
define( 'CMSUSERS_LOGIN',                  'Log in' );
define( 'CMSUSERS_LOGOUT',                 'Log out' );
define( 'CMSUSERS_LOGGEDOUT',              'Logged out' );
define( 'CMSUSERS_LOGGEDOUT_MESSAGE',      'You left this system succesfully.<br />Thanks for using this website and please come back later.' );

define( 'CMSUSERS_REGISTER',               'Register' );
define( 'CMSUSERS_REG_EXPLAIN',            'After you have completed the form below, you will receive an e-mail to confirm your registration.' );
define( 'CMSUSERS_REG_EXPLAIN_ASKADMIN',   'The administrator of this website will review your registration and decide whether to activate your account.' );
define( 'CMSUSERS_REG_EXPLAIN_NOTIFYADMIN','The administrator of this website will receive a notification of your registration.' );
define( 'CMSUSERS_REG_EXPLAIN_FREE',       '' );
define( 'CMSUSERS_REG_ERROR',              'Error' );
define( 'CMSUSERS_REG_ERROR_TOP',          'One or more errors have accured:' );
define( 'CMSUSERS_REG_ERROR_BOTTOM',       'To try again, please repeat the registration procedure.' );
define( 'CMSUSERS_REG_ERROR_GIVENNAME',    'Invalid or emty <strong>first name</strong>.' );
define( 'CMSUSERS_REG_ERROR_FAMILYNAME',   'Invalid or emty <strong>family name</strong>.' );
define( 'CMSUSERS_REG_ERROR_EMAIL',        'This e-mail address is invalid.' );
define( 'CMSUSERS_REG_ERROR_USERNAME',     'This username is invalid (min. 5 characters).' );
define( 'CMSUSERS_REG_ERROR_DOUBLEU',      'You can\'t use this username, please try again with a different username.' );
define( 'CMSUSERS_REG_ERROR_PASSWORD',     'This password is invalid (min. 5 characters).' );
define( 'CMSUSERS_REG_ERROR_PWEQUAL',      'The passwords you entered did not match.' );
define( 'CMSUSERS_REG_ERROR_UPEQUAL',      'Your username and password can not be equal.' );

define( 'CMSUSERS_REG_MAIL_ASKADMIN',      'After you confirmed your account, the administrator of this website will review your registration and decide whether to activate your account.' );
define( 'CMSUSERS_REG_MAIL_NOTIFYADMIN',   'The administrator of this website has received a copy of this e-mail. Please confirm your account to activate it.' );
define( 'CMSUSERS_REG_MAIL_FREE',          'Please confirm your account to activate it.' );

define( 'CMSUSERS_REG_END',                'End of registration' );
define( 'CMSUSERS_REG_MAIL_SEND',          'Your data has been saved and an e-mail has been send to the provided e-mailaddress.
 This e-mail contains instructions on how to activate your account.' );
define( 'USERS_REG_MAIL_NOTSEND',       'We are sorry, we couldn\'t send your an e-mail. It could be a technical problem or the e-mail address your provided is invalid. Please repeat the registration procedure. If the problem persists, you can send an e-mail to the administrator: [[cms_admin_email]]' );
define( 'CMSUSERS_REG_NOTSAVED',           'We are sorry, we couldn\'t save your data. Please try again later or inform the administrator of this website: [[cms_admin_email]]' );
define( 'CMSUSERS_REG_SUBJECT',			'Your registration on the website %s' );

define( 'CMSUSERS_CONFIRMED',              'Registration confirmed' );
define( 'CMSUSERS_CONFIRMED_EXPLAIN',      'Your registration has been confirmed. You can safely delete the e-mail we send you.' );
define( 'CMSUSERS_CONFIRMED_OFF',          'The administrator of this website will review your registration. You will receive an e-mail when this happens.' );
define( 'CMSUSERS_CONFIRMED_ON',           'You can use your account by clicking: <a href="[[cms_base_url]][[cms_current_language]]/[[cms_users_login_url]]">Login</a>.' );
define( 'CMSUSERS_CONFIRMED_FAIL',	   'Confirmation failed' );
define( 'CMSUSERS_CONFIRMED_FAILEXPLAIN',  'Confirmation failed. Maybe you did already confirm your account. Please try to log in and read the instructions in the e-mail you received. If all fails, try to register again.' );

define( 'CMSUSERS_LOSTPASSWORD',           'Lost your password?' );
define( 'CMSUSERS_LOSTPASSWORD_EMAIL',     'Please enter your registered e-mailaddress below to request a new password.' );
define( 'CMSUSERS_REQUEST_PASSWORD',       'Request new password' );
define( 'CMSUSERS_LOSTPASSWORD_SEND',      'An e-mail has been send to you with a new password. You can use this new password immediately.' );
define( 'CMSUSERS_LOSTPASSWORD_NOTSEND',   'We could\'t send an e-mail with a new password to you. Maybe the provided e-mail address doesn\'t exist in our system or it could be a technical problem.' );
define( 'CMSUSERS_LOSTPASSWORD_SUBJECT',	'A new password for website %s' );

define( 'CMSUSERS_EDIT_TITLE',             'Edit your details' );
define( 'CMSUSERS_EDIT_EXPLAIN',           'Below you can see your registered details, you can edit and save them. Your e-mailaddress and username are locked, these can only be edited by administrators of this website.' );
define( 'CMSUSERS_EDIT_PASSWORDSHORT',     'Your password did not change, passwords should be at least 5 characters long.' );
define( 'CMSUSERS_EDIT_SAVE',              'Save' );

define( 'CMSUSERS_USERNAME',               'Username' );
define( 'CMSUSERS_USERNAME_RESTRICT',      'min. 5 characters, only characters, numbers and underscores' );
define( 'CMSUSERS_PASSWORD',               'Password' );
define( 'CMSUSERS_PASSWORD_RESTRICT',      'min. 5 characters, only alphanumerics: a-z, A-Z, 0-9, !@#$%^&*_-+=' );
define( 'CMSUSERS_PASSWORD_AGAIN',         'Confirm password' );
define( 'CMSUSERS_GIVENNAME',              'Givenname' );
define( 'CMSUSERS_FAMILYNAME',             'Familyname' );
define( 'CMSUSERS_EMAIL',                  'E-mailaddress' );
define( 'CMSUSERS_ORGANISATION',           'Organisation' );
define( 'CMSUSERS_LANGUAGE',               'Language' );
define( 'CMSUSERS_GENDER',                 'Gender' );
define( 'CMSUSERS_MALE',                   'Male' );
define( 'CMSUSERS_FEMALE',                 'Female' );
define( 'CMSUSERS_MAILING',                'Newsletter to your e-mailaddress' );
define( 'CMSUSERS_PUBLICALIAS',	   	   'Public name' );
define( 'CMSUSERS_PUBLICALIAS_EXPLAIN',	   'This name will be used in public parts of this website, like bulletin boards.' );

define( 'ADM_CMSUSERS_TITLE',              'Usermanagement' );
define( 'ADM_CMSUSERS_EXPLAIN',            'Please click a username to edit the user-details.<br />If you delete, disable or edit your own account, you could completely disable your access to this system!' );
define( 'ADM_CMSUSERS_USERNAME',           'Username' );
define( 'ADM_CMSUSERS_NEWPASSWORD',        'New password' );
define( 'ADM_CMSUSERS_NEWPASSWORD2',       'repeat password to confirm' );
define( 'ADM_CMSUSERS_PUBLICALIAS',	   'Public name' );
define( 'ADM_CMSUSERS_PUBLICALIAS_EXPLAIN',	   'This name will be used in public parts of this website, like bulletin boards.' );
define( 'ADM_CMSUSERS_EMAIL',              'E-mailaddress' );
define( 'ADM_CMSUSERS_GIVENNAME',          'Givenname(s)' );
define( 'ADM_CMSUSERS_FAMILYNAME',         'Familyname' );
define( 'ADM_CMSUSERS_ORGANISATION',       'Organisation' );
define( 'ADM_CMSUSERS_RIGHTS',             'Rights' );
define( 'ADM_CMSUSERS_MAILING',            'Subscibed to newsletter' );
define( 'ADM_CMSUSERS_GENDER',      'Gender' );
define( 'ADM_CMSUSERS_MALE',        'Male' );
define( 'ADM_CMSUSERS_FEMALE',      'Female' );

define( 'ADM_CMSUSERS_NORIGHTS',        'None' );
define( 'ADM_CMSUSERS_USER',        'User' );
define( 'ADM_CMSUSERS_MEMBER',      'Member' );
define( 'ADM_CMSUSERS_REVIEWER',        'Reviewer' );
define( 'ADM_CMSUSERS_EDITOR',		'Editor' );
define( 'ADM_CMSUSERS_ADMIN',		'Administrator' );
define( 'ADM_CMSUSERS_SUPERADMIN',	'Super Administrator' );
define( 'ADM_CMSUSERS_ADMINONLY',	'This option is only available to administrators' );

?>
