function init() {
	tinyMCEPopup.resizeToInnerSize();
}

var charmap = new Array();

// for mor details please see w3c.org
// now here is the complete list ;)

charmap = [
	['&nbsp;','&#160;',  true, 'no-break space'],
	['','&#1024;',  true, 'CYRILLIC CAPITAL LETTER IE WITH GRAVE'],
['','&#1025;',  true, 'CYRILLIC CAPITAL LETTER IO (present in WGL4)'],
['','&#1026;',  true, 'CYRILLIC CAPITAL LETTER DJE (present in WGL4)'],
['','&#1027;',  true, 'CYRILLIC CAPITAL LETTER GJE (present in WGL4)'],
['','&#1028;',  true, 'CYRILLIC CAPITAL LETTER UKRAINIAN IE (present in WGL4)'],
['','&#1029;',  true, 'CYRILLIC CAPITAL LETTER DZE (present in WGL4)'],
['','&#1030;',  true, 'CYRILLIC CAPITAL LETTER BYELORUSSIAN-UKRAINIAN I (present in WGL4)'],
['','&#1031;',  true, 'CYRILLIC CAPITAL LETTER YI (present in WGL4)'],
['','&#1032;',  true, 'CYRILLIC CAPITAL LETTER JE (present in WGL4)'],
['','&#1033;',  true, 'CYRILLIC CAPITAL LETTER LJE (present in WGL4)'],
['','&#1034;',  true, 'CYRILLIC CAPITAL LETTER NJE (present in WGL4)'],
['','&#1035;',  true, 'CYRILLIC CAPITAL LETTER TSHE (present in WGL4)'],
['','&#1036;',  true, 'CYRILLIC CAPITAL LETTER KJE (present in WGL4)'],
['','&#1037;',  true, 'CYRILLIC CAPITAL LETTER I WITH GRAVE (present in WGL4)'],
['','&#1038;',  true, 'CYRILLIC CAPITAL LETTER SHORT U (present in WGL4)'],
['','&#1039;',  true, 'CYRILLIC CAPITAL LETTER DZHE (present in WGL4)'],
['','&#1040;',  true, 'CYRILLIC CAPITAL LETTER A (present in WGL4)'],
['','&#1041;',  true, 'CYRILLIC CAPITAL LETTER BE (present in WGL4)'],
['','&#1042;',  true, 'CYRILLIC CAPITAL LETTER VE (present in WGL4)'],
['','&#1043;',  true, 'CYRILLIC CAPITAL LETTER GHE (present in WGL4)'],
['','&#1044;',  true, 'CYRILLIC CAPITAL LETTER DE (present in WGL4)'],
['','&#1045;',  true, 'CYRILLIC CAPITAL LETTER IE (present in WGL4)'],
['','&#1046;',  true, 'CYRILLIC CAPITAL LETTER ZHE (present in WGL4)'],
['','&#1047;',  true, 'CYRILLIC CAPITAL LETTER ZE (present in WGL4)'],
['','&#1048;',  true, 'CYRILLIC CAPITAL LETTER I (present in WGL4)'],
['','&#1049;',  true, 'CYRILLIC CAPITAL LETTER SHORT I (present in WGL4)'],
['','&#1050;',  true, 'CYRILLIC CAPITAL LETTER KA (present in WGL4)'],
['','&#1051;',  true, 'CYRILLIC CAPITAL LETTER EL (present in WGL4)'],
['','&#1052;',  true, 'CYRILLIC CAPITAL LETTER EM (present in WGL4)'],
['','&#1053;',  true, 'CYRILLIC CAPITAL LETTER EN (present in WGL4)'],
['','&#1054;',  true, 'CYRILLIC CAPITAL LETTER O (present in WGL4)'],
['','&#1055;',  true, 'CYRILLIC CAPITAL LETTER PE (present in WGL4)'],
['','&#1056;',  true, 'CYRILLIC CAPITAL LETTER ER (present in WGL4)'],
['','&#1057;',  true, 'CYRILLIC CAPITAL LETTER ES (present in WGL4)'],
['','&#1058;',  true, 'CYRILLIC CAPITAL LETTER TE (present in WGL4)'],
['','&#1059;',  true, 'CYRILLIC CAPITAL LETTER U (present in WGL4)'],
['','&#1060;',  true, 'CYRILLIC CAPITAL LETTER EF (present in WGL4)'],
['','&#1061;',  true, 'CYRILLIC CAPITAL LETTER HA (present in WGL4)'],
['','&#1062;',  true, 'CYRILLIC CAPITAL LETTER TSE (present in WGL4)'],
['','&#1063;',  true, 'CYRILLIC CAPITAL LETTER CHE (present in WGL4)'],
['','&#1064;',  true, 'CYRILLIC CAPITAL LETTER SHA (present in WGL4)'],
['','&#1065;',  true, 'CYRILLIC CAPITAL LETTER SHCHA (present in WGL4)'],
['','&#1066;',  true, 'CYRILLIC CAPITAL LETTER HARD SIGN (present in WGL4)'],
['','&#1067;',  true, 'CYRILLIC CAPITAL LETTER YERU (present in WGL4)'],
['','&#1068;',  true, 'CYRILLIC CAPITAL LETTER SOFT SIGN (present in WGL4)'],
['','&#1069;',  true, 'CYRILLIC CAPITAL LETTER E (present in WGL4)'],
['','&#1070;',  true, 'CYRILLIC CAPITAL LETTER YU (present in WGL4)'],
['','&#1071;',  true, 'CYRILLIC CAPITAL LETTER YA (present in WGL4)'],
['','&#1072;',  true, 'CYRILLIC SMALL LETTER A (present in WGL4)'],
['','&#1073;',  true, 'CYRILLIC SMALL LETTER BE (present in WGL4)'],
['','&#1074;',  true, 'CYRILLIC SMALL LETTER VE (present in WGL4)'],
['','&#1075;',  true, 'CYRILLIC SMALL LETTER GHE (present in WGL4)'],
['','&#1076;',  true, 'CYRILLIC SMALL LETTER DE (present in WGL4)'],
['','&#1077;',  true, 'CYRILLIC SMALL LETTER IE (present in WGL4)'],
['','&#1078;',  true, 'CYRILLIC SMALL LETTER ZHE (present in WGL4)'],
['','&#1079;',  true, 'CYRILLIC SMALL LETTER ZE (present in WGL4)'],
['','&#1080;',  true, 'CYRILLIC SMALL LETTER I (present in WGL4)'],
['','&#1081;',  true, 'CYRILLIC SMALL LETTER SHORT I (present in WGL4)'],
['','&#1082;',  true, 'CYRILLIC SMALL LETTER KA (present in WGL4)'],
['','&#1083;',  true, 'CYRILLIC SMALL LETTER EL (present in WGL4)'],
['','&#1084;',  true, 'CYRILLIC SMALL LETTER EM (present in WGL4)'],
['','&#1085;',  true, 'CYRILLIC SMALL LETTER EN (present in WGL4)'],
['','&#1086;',  true, 'CYRILLIC SMALL LETTER O (present in WGL4)'],
['','&#1087;',  true, 'CYRILLIC SMALL LETTER PE (present in WGL4)'],
['','&#1088;',  true, 'CYRILLIC SMALL LETTER ER (present in WGL4)'],
['','&#1089;',  true, 'CYRILLIC SMALL LETTER ES (present in WGL4)'],
['','&#1090;',  true, 'CYRILLIC SMALL LETTER TE (present in WGL4)'],
['','&#1091;',  true, 'CYRILLIC SMALL LETTER U (present in WGL4)'],
['','&#1092;',  true, 'CYRILLIC SMALL LETTER EF (present in WGL4)'],
['','&#1093;',  true, 'CYRILLIC SMALL LETTER HA (present in WGL4)'],
['','&#1094;',  true, 'CYRILLIC SMALL LETTER TSE (present in WGL4)'],
['','&#1095;',  true, 'CYRILLIC SMALL LETTER CHE (present in WGL4)'],
['','&#1096;',  true, 'CYRILLIC SMALL LETTER SHA (present in WGL4)'],
['','&#1097;',  true, 'CYRILLIC SMALL LETTER SHCHA (present in WGL4)'],
['','&#1098;',  true, 'CYRILLIC SMALL LETTER HARD SIGN (present in WGL4)'],
['','&#1099;',  true, 'CYRILLIC SMALL LETTER YERU (present in WGL4)'],
['','&#1100;',  true, 'CYRILLIC SMALL LETTER SOFT SIGN (present in WGL4)'],
['','&#1101;',  true, 'CYRILLIC SMALL LETTER E (present in WGL4)'],
['','&#1102;',  true, 'CYRILLIC SMALL LETTER YU (present in WGL4)'],
['','&#1103;',  true, 'CYRILLIC SMALL LETTER YA (present in WGL4)'],
['','&#1104;',  true, 'CYRILLIC SMALL LETTER IE WITH GRAVE (present in WGL4)'],
['','&#1105;',  true, 'CYRILLIC SMALL LETTER IO (present in WGL4)'],
['','&#1106;',  true, 'CYRILLIC SMALL LETTER DJE (present in WGL4)'],
['','&#1107;',  true, 'CYRILLIC SMALL LETTER GJE (present in WGL4)'],
['','&#1108;',  true, 'CYRILLIC SMALL LETTER UKRAINIAN IE (present in WGL4)'],
['','&#1109;',  true, 'CYRILLIC SMALL LETTER DZE (present in WGL4)'],
['','&#1110;',  true, 'CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I (present in WGL4)'],
['','&#1111;',  true, 'CYRILLIC SMALL LETTER YI (present in WGL4)'],
['','&#1112;',  true, 'CYRILLIC SMALL LETTER JE (present in WGL4)'],
['','&#1113;',  true, 'CYRILLIC SMALL LETTER LJE (present in WGL4)'],
['','&#1114;',  true, 'CYRILLIC SMALL LETTER NJE (present in WGL4)'],
['','&#1115;',  true, 'CYRILLIC SMALL LETTER TSHE (present in WGL4)'],
['','&#1116;',  true, 'CYRILLIC SMALL LETTER KJE (present in WGL4)'],
['','&#1117;',  true, 'CYRILLIC SMALL LETTER I WITH GRAVE (present in WGL4)'],
['','&#1118;',  true, 'CYRILLIC SMALL LETTER SHORT U (present in WGL4)'],
['','&#1119;',  true, 'CYRILLIC SMALL LETTER DZHE'],
['','&#1120;',  true, 'CYRILLIC CAPITAL LETTER OMEGA'],
['','&#1121;',  true, 'CYRILLIC SMALL LETTER OMEGA'],
['','&#1122;',  true, 'CYRILLIC CAPITAL LETTER YAT'],
['','&#1123;',  true, 'CYRILLIC SMALL LETTER YAT'],
['','&#1124;',  true, 'CYRILLIC CAPITAL LETTER IOTIFIED E'],
['','&#1125;',  true, 'CYRILLIC SMALL LETTER IOTIFIED E'],
['','&#1126;',  true, 'CYRILLIC CAPITAL LETTER LITTLE YUS'],
['','&#1127;',  true, 'CYRILLIC SMALL LETTER LITTLE YUS'],
['','&#1128;',  true, 'CYRILLIC CAPITAL LETTER IOTIFIED LITTLE YUS'],
['','&#1129;',  true, 'CYRILLIC SMALL LETTER IOTIFIED LITTLE YUS'],
['','&#1130;',  true, 'CYRILLIC CAPITAL LETTER BIG YUS'],
['','&#1131;',  true, 'CYRILLIC SMALL LETTER BIG YUS'],
['','&#1132;',  true, 'CYRILLIC CAPITAL LETTER IOTIFIED BIG YUS'],
['','&#1133;',  true, 'CYRILLIC SMALL LETTER IOTIFIED BIG YUS'],
['','&#1134;',  true, 'CYRILLIC CAPITAL LETTER KSI'],
['','&#1135;',  true, 'CYRILLIC SMALL LETTER KSI'],
['','&#1136;',  true, 'CYRILLIC CAPITAL LETTER PSI'],
['','&#1137;',  true, 'CYRILLIC SMALL LETTER PSI'],
['','&#1138;',  true, 'CYRILLIC CAPITAL LETTER FITA'],
['','&#1139;',  true, 'CYRILLIC SMALL LETTER FITA'],
['','&#1140;',  true, 'CYRILLIC CAPITAL LETTER IZHITSA'],
['','&#1141;',  true, 'CYRILLIC SMALL LETTER IZHITSA'],
['','&#1142;',  true, 'CYRILLIC CAPITAL LETTER IZHITSA WITH DOUBLE GRAVE ACCENT'],
['','&#1143;',  true, 'CYRILLIC SMALL LETTER IZHITSA WITH DOUBLE GRAVE ACCENT'],
['','&#1144;',  true, 'CYRILLIC CAPITAL LETTER UK'],
['','&#1145;',  true, 'CYRILLIC SMALL LETTER UK'],
['','&#1146;',  true, 'CYRILLIC CAPITAL LETTER ROUND OMEGA'],
['','&#1147;',  true, 'CYRILLIC SMALL LETTER ROUND OMEGA'],
['','&#1148;',  true, 'CYRILLIC CAPITAL LETTER OMEGA WITH TITLO'],
['','&#1149;',  true, 'CYRILLIC SMALL LETTER OMEGA WITH TITLO'],
['','&#1150;',  true, 'CYRILLIC CAPITAL LETTER OT'],
['','&#1151;',  true, 'CYRILLIC SMALL LETTER OT'],
['','&#1152;',  true, 'CYRILLIC CAPITAL LETTER KOPPA'],
['','&#1153;',  true, 'CYRILLIC SMALL LETTER KOPPA'],
['','&#1154;',  true, 'CYRILLIC THOUSANDS SIGN'],
['','&#1155;',  true, 'COMBINING CYRILLIC TITLO'],
['','&#1156;',  true, 'COMBINING CYRILLIC PALATALIZATION'],
['','&#1157;',  true, 'COMBINING CYRILLIC DASIA PNEUMATA'],
['','&#1158;',  true, 'COMBINING CYRILLIC PSILI PNEUMATA'],
['','&#1160;',  true, 'COMBINING CYRILLIC HUNDRED THOUSANDS SIGN'],
['','&#1161;',  true, 'COMBINING CYRILLIC MILLIONS SIGN'],
['','&#1162;',  true, 'CYRILLIC CAPITAL LETTER SHORT I WITH TAIL'],
['','&#1163;',  true, 'CYRILLIC SMALL LETTER SHORT I WITH TAIL'],
['','&#1164;',  true, 'CYRILLIC CAPITAL LETTER SEMISOFT SIGN'],
['','&#1165;',  true, 'CYRILLIC SMALL LETTER SEMISOFT SIGN'],
['','&#1166;',  true, 'CYRILLIC CAPITAL LETTER ER WITH TICK'],
['','&#1167;',  true, 'CYRILLIC SMALL LETTER ER WITH TICK'],
['','&#1168;',  true, 'CYRILLIC CAPITAL LETTER GHE WITH UPTURN (present in WGL4)'],
['','&#1169;',  true, 'CYRILLIC SMALL LETTER GHE WITH UPTURN (present in WGL4)'],
['','&#1170;',  true, 'CYRILLIC CAPITAL LETTER GHE WITH STROKE'],
['','&#1171;',  true, 'CYRILLIC SMALL LETTER GHE WITH STROKE'],
['','&#1172;',  true, 'CYRILLIC CAPITAL LETTER GHE WITH MIDDLE HOOK'],
['','&#1173;',  true, 'CYRILLIC SMALL LETTER GHE WITH MIDDLE HOOK'],
['','&#1174;',  true, 'CYRILLIC CAPITAL LETTER ZHE WITH DESCENDER'],
['','&#1175;',  true, 'CYRILLIC SMALL LETTER ZHE WITH DESCENDER'],
['','&#1176;',  true, 'CYRILLIC CAPITAL LETTER ZE WITH DESCENDER'],
['','&#1177;',  true, 'CYRILLIC SMALL LETTER ZE WITH DESCENDER'],
['','&#1178;',  true, 'CYRILLIC CAPITAL LETTER KA WITH DESCENDER'],
['','&#1179;',  true, 'CYRILLIC SMALL LETTER KA WITH DESCENDER'],
['','&#1180;',  true, 'CYRILLIC CAPITAL LETTER KA WITH VERTICAL STROKE'],
['','&#1181;',  true, 'CYRILLIC SMALL LETTER KA WITH VERTICAL STROKE'],
['','&#1182;',  true, 'CYRILLIC CAPITAL LETTER KA WITH STROKE'],
['','&#1183;',  true, 'CYRILLIC SMALL LETTER KA WITH STROKE'],
['','&#1184;',  true, 'CYRILLIC CAPITAL LETTER BASHKIR KA'],
['','&#1185;',  true, 'CYRILLIC SMALL LETTER BASHKIR KA'],
['','&#1186;',  true, 'CYRILLIC CAPITAL LETTER EN WITH DESCENDER'],
['','&#1187;',  true, 'CYRILLIC SMALL LETTER EN WITH DESCENDER'],
['','&#1188;',  true, 'CYRILLIC CAPITAL LIGATURE EN GHE'],
['','&#1189;',  true, 'CYRILLIC SMALL LIGATURE EN GHE'],
['','&#1190;',  true, 'CYRILLIC CAPITAL LETTER PE WITH MIDDLE HOOK'],
['','&#1191;',  true, 'CYRILLIC SMALL LETTER PE WITH MIDDLE HOOK'],
['','&#1192;',  true, 'CYRILLIC CAPITAL LETTER ABKHASIAN HA'],
['','&#1193;',  true, 'CYRILLIC SMALL LETTER ABKHASIAN HA'],
['','&#1194;',  true, 'CYRILLIC CAPITAL LETTER ES WITH DESCENDER'],
['','&#1195;',  true, 'CYRILLIC SMALL LETTER ES WITH DESCENDER'],
['','&#1196;',  true, 'CYRILLIC CAPITAL LETTER TE WITH DESCENDER'],
['','&#1197;',  true, 'CYRILLIC SMALL LETTER TE WITH DESCENDER'],
['','&#1198;',  true, 'CYRILLIC CAPITAL LETTER STRAIGHT U'],
['','&#1199;',  true, 'CYRILLIC SMALL LETTER STRAIGHT U'],
['','&#1200;',  true, 'CYRILLIC CAPITAL LETTER STRAIGHT U WITH STROKE'],
['','&#1201;',  true, 'CYRILLIC SMALL LETTER STRAIGHT U WITH STROKE'],
['','&#1202;',  true, 'CYRILLIC CAPITAL LETTER HA WITH DESCENDER'],
['','&#1203;',  true, 'CYRILLIC SMALL LETTER HA WITH DESCENDER'],
['','&#1204;',  true, 'CYRILLIC CAPITAL LIGATURE TE TSE'],
['','&#1205;',  true, 'CYRILLIC SMALL LIGATURE TE TSE'],
['','&#1206;',  true, 'CYRILLIC CAPITAL LETTER CHE WITH DESCENDER'],
['','&#1207;',  true, 'CYRILLIC SMALL LETTER CHE WITH DESCENDER'],
['','&#1208;',  true, 'CYRILLIC CAPITAL LETTER CHE WITH VERTICAL STROKE'],
['','&#1209;',  true, 'CYRILLIC SMALL LETTER CHE WITH VERTICAL STROKE'],
['','&#1210;',  true, 'CYRILLIC CAPITAL LETTER SHHA'],
['','&#1211;',  true, 'CYRILLIC SMALL LETTER SHHA'],
['','&#1212;',  true, 'CYRILLIC CAPITAL LETTER ABKHASIAN CHE'],
['','&#1213;',  true, 'CYRILLIC SMALL LETTER ABKHASIAN CHE'],
['','&#1214;',  true, 'CYRILLIC CAPITAL LETTER ABKHASIAN CHE WITH DESCENDER'],
['','&#1215;',  true, 'CYRILLIC SMALL LETTER ABKHASIAN CHE WITH DESCENDER'],
['','&#1216;',  true, 'CYRILLIC LETTER PALOCHKA'],
['','&#1217;',  true, 'CYRILLIC CAPITAL LETTER ZHE WITH BREVE'],
['','&#1218;',  true, 'CYRILLIC SMALL LETTER ZHE WITH BREVE'],
['','&#1219;',  true, 'CYRILLIC CAPITAL LETTER KA WITH HOOK'],
['','&#1220;',  true, 'CYRILLIC SMALL LETTER KA WITH HOOK'],
['','&#1221;',  true, 'CYRILLIC CAPITAL LETTER EL WITH TAIL'],
['','&#1222;',  true, 'CYRILLIC SMALL LETTER EL WITH TAIL'],
['','&#1223;',  true, 'CYRILLIC CAPITAL LETTER EN WITH HOOK'],
['','&#1224;',  true, 'CYRILLIC SMALL LETTER EN WITH HOOK'],
['','&#1225;',  true, 'CYRILLIC CAPITAL LETTER EN WITH TAIL'],
['','&#1226;',  true, 'CYRILLIC SMALL LETTER EN WITH TAIL'],
['','&#1227;',  true, 'CYRILLIC CAPITAL LETTER KHAKASSIAN CHE'],
['','&#1228;',  true, 'CYRILLIC SMALL LETTER KHAKASSIAN CHE'],
['','&#1229;',  true, 'CYRILLIC CAPITAL LETTER EM WITH TAIL'],
['','&#1230;',  true, 'CYRILLIC SMALL LETTER EM WITH TAIL'],
['','&#1231;',  true, 'CYRILLIC SMALL LETTER PALOCHKA'],
['','&#1232;',  true, 'CYRILLIC CAPITAL LETTER A WITH BREVE'],
['','&#1233;',  true, 'CYRILLIC SMALL LETTER A WITH BREVE'],
['','&#1234;',  true, 'CYRILLIC CAPITAL LETTER A WITH DIAERESIS'],
['','&#1235;',  true, 'CYRILLIC SMALL LETTER A WITH DIAERESIS'],
['','&#1236;',  true, 'CYRILLIC CAPITAL LIGATURE A IE'],
['','&#1237;',  true, 'CYRILLIC SMALL LIGATURE A IE'],
['','&#1238;',  true, 'CYRILLIC CAPITAL LETTER IE WITH BREVE'],
['','&#1239;',  true, 'CYRILLIC SMALL LETTER IE WITH BREVE'],
['','&#1240;',  true, 'CYRILLIC CAPITAL LETTER SCHWA'],
['','&#1241;',  true, 'CYRILLIC SMALL LETTER SCHWA'],
['','&#1242;',  true, 'CYRILLIC CAPITAL LETTER SCHWA WITH DIAERESIS'],
['','&#1243;',  true, 'CYRILLIC SMALL LETTER SCHWA WITH DIAERESIS'],
['','&#1244;',  true, 'CYRILLIC CAPITAL LETTER ZHE WITH DIAERESIS'],
['','&#1245;',  true, 'CYRILLIC SMALL LETTER ZHE WITH DIAERESIS'],
['','&#1246;',  true, 'CYRILLIC CAPITAL LETTER ZE WITH DIAERESIS'],
['','&#1247;',  true, 'CYRILLIC SMALL LETTER ZE WITH DIAERESIS'],
['','&#1248;',  true, 'CYRILLIC CAPITAL LETTER ABKHASIAN DZE'],
['','&#1249;',  true, 'CYRILLIC SMALL LETTER ABKHASIAN DZE'],
['','&#1250;',  true, 'CYRILLIC CAPITAL LETTER I WITH MACRON'],
['','&#1251;',  true, 'CYRILLIC SMALL LETTER I WITH MACRON'],
['','&#1252;',  true, 'CYRILLIC CAPITAL LETTER I WITH DIAERESIS'],
['','&#1253;',  true, 'CYRILLIC SMALL LETTER I WITH DIAERESIS'],
['','&#1254;',  true, 'CYRILLIC CAPITAL LETTER O WITH DIAERESIS'],
['','&#1255;',  true, 'CYRILLIC SMALL LETTER O WITH DIAERESIS'],
['','&#1256;',  true, 'CYRILLIC CAPITAL LETTER BARRED O'],
['','&#1257;',  true, 'CYRILLIC SMALL LETTER BARRED O'],
['','&#1258;',  true, 'CYRILLIC CAPITAL LETTER BARRED O WITH DIAERESIS'],
['','&#1259;',  true, 'CYRILLIC SMALL LETTER BARRED O WITH DIAERESIS'],
['','&#1260;',  true, 'CYRILLIC CAPITAL LETTER E WITH DIAERESIS'],
['','&#1261;',  true, 'CYRILLIC SMALL LETTER E WITH DIAERESIS'],
['','&#1262;',  true, 'CYRILLIC CAPITAL LETTER U WITH MACRON'],
['','&#1263;',  true, 'CYRILLIC SMALL LETTER U WITH MACRON'],
['','&#1264;',  true, 'CYRILLIC CAPITAL LETTER U WITH DIAERESIS'],
['','&#1265;',  true, 'CYRILLIC SMALL LETTER U WITH DIAERESIS'],
['','&#1266;',  true, 'CYRILLIC CAPITAL LETTER U WITH DOUBLE ACUTE'],
['','&#1267;',  true, 'CYRILLIC SMALL LETTER U WITH DOUBLE ACUTE'],
['','&#1268;',  true, 'CYRILLIC CAPITAL LETTER CHE WITH DIAERESIS'],
['','&#1269;',  true, 'CYRILLIC SMALL LETTER CHE WITH DIAERESIS'],
['','&#1270;',  true, 'CYRILLIC CAPITAL LETTER GHE WITH DESCENDER'],
['','&#1271;',  true, 'CYRILLIC SMALL LETTER GHE WITH DESCENDER'],
['','&#1272;',  true, 'CYRILLIC CAPITAL LETTER YERU WITH DIAERESIS'],
['','&#1273;',  true, 'CYRILLIC SMALL LETTER YERU WITH DIAERESIS'],
['','&#1274;',  true, 'CYRILLIC CAPITAL LETTER GHE WITH STROKE AND HOOK'],
['','&#1275;',  true, 'CYRILLIC SMALL LETTER GHE WITH STROKE AND HOOK'],
['','&#1276;',  true, 'CYRILLIC CAPITAL LETTER HA WITH HOOK'],
['','&#1277;',  true, 'CYRILLIC SMALL LETTER HA WITH HOOK'],
['','&#1278;',  true, 'CYRILLIC CAPITAL LETTER HA WITH STROKE'],
['','&#1279;',  true, 'CYRILLIC SMALL LETTER HA WITH STROKE']	
	

];

function renderCharMapHTML() {
	var charsPerRow = 20, tdWidth=20, tdHeight=20;
	var html = '<table border="0" cellspacing="1" cellpadding="0" width="' + (tdWidth*charsPerRow) + '"><tr height="' + tdHeight + '">';
	var cols=-1;
	for (var i=0; i<charmap.length; i++) {
		if (charmap[i][2]==true) {
			cols++;
			html += ''
				+ '<td width="' + tdWidth + '" height="' + tdHeight + '" class="charmap"'
				+ ' onmouseover="this.className=\'charmapOver\';'
				+ 'previewChar(\'' + charmap[i][1].substring(1,charmap[i][1].length) + '\',\'' + charmap[i][0].substring(1,charmap[i][0].length) + '\',\'' + charmap[i][3] + '\');"'
				+ ' onmouseout="this.className=\'charmap\';"'
				+ ' nowrap="nowrap" onclick="insertChar(\'' + charmap[i][1].substring(2,charmap[i][1].length-1) + '\');"><a style="text-decoration: none;" onfocus="previewChar(\'' + charmap[i][1].substring(1,charmap[i][1].length) + '\',\'' + charmap[i][0].substring(1,charmap[i][0].length) + '\',\'' + charmap[i][3] + '\');" href="javascript:insertChar(\'' + charmap[i][1].substring(2,charmap[i][1].length-1) + '\');" onclick="return false;" onmousedown="return false;" title="' + charmap[i][3] + '">'
				+ charmap[i][1]
				+ '</a></td>';
			if ((cols+1) % charsPerRow == 0)
				html += '</tr><tr height="' + tdHeight + '">';
		}
	 }
	if (cols % charsPerRow > 0) {
		var padd = charsPerRow - (cols % charsPerRow);
		for (var i=0; i<padd-1; i++)
			html += '<td width="' + tdWidth + '" height="' + tdHeight + '" class="charmap">&nbsp;</td>';
	}
	html += '</tr></table>';
	document.write(html);
}

function insertChar(chr) {
	tinyMCEPopup.execCommand('mceInsertContent', false, '&#' + chr + ';');

	// Refocus in window
	if (tinyMCEPopup.isWindow)
		window.focus();

	//tinyMCEPopup.close();
}

function previewChar(codeA, codeB, codeN) {
	var elmA = document.getElementById('codeA');
	var elmB = document.getElementById('codeB');
	var elmV = document.getElementById('codeV');
	var elmN = document.getElementById('codeN');

	if (codeA=='#160;') {
		elmV.innerHTML = '__';
	} else {
		elmV.innerHTML = '&' + codeA;
	}

	elmB.innerHTML = '&amp;' + codeA;
	if (codeB!='')elmA.innerHTML = '&amp;' + codeB;
	elmN.innerHTML = codeN;
}
