<?php
/*

*/

define( 'MODULE_CMSGLUE', TRUE );

class cmsglue
{
	var	$_db;
	var	$_acl;
	var	$strucid;
	var	$position;
	var	$status;
	var	$module;
	var	$method;
	var	$input;

	function cmsglue( &$db, &$acl )
	{
		$this->_db = $db;
		$this->_acl = $acl;
	}
    
	
	function getModules()
	{
		
		$sort=array();
		$config = loadConfig( CMS_CONFIG_PATH.'glue.conf' );
		
		if($config)foreach( $config as $value ) {

			if( ($value[0] == CMS_STRUCTURE_ID || !$value[0]) && $value[2] ) 
			{
				
                
				$modules[$value[3]] = array('',$value[1],'none','1',$value[2]);
			}
		}
		
		if( !isset( $modules ) ) {
			return ;	

			//$modules['cmsarticles'] = array('','1','none','1','0');
		}
		

		return $modules;
	}	
	
	function getContent( $position )
	{
		

		$config = loadConfig( CMS_CONFIG_PATH.'glue.conf' );
		$sort=array();

		if($config)foreach( $config as $value ) {

			if( ($value[0] == CMS_STRUCTURE_ID || !$value[0]) && $value[1] == $position && $value[2] ) {
				$glue[] = array( 'module' => $value[3], 'method' => $value[4], 'input' => $value[5],'div'=>(isset($value[6])?0:1) );
				$sort[] = $value[2];
			}
		}

	
		/*if( !isset( $glue ) ) {		
			$sort[] = 0;
			$glue[] = array( 'module' => 'cmsarticles', 'method' => 'showAllByStructure', 'input' => 0 );
			
		}*/
		$result = '';
		if(isset($glue))
		{
		array_multisort($sort,$glue);

		//var_dump($glue);
		
		$mods = cmsmodules::loadArray();
		
		$templ = cmstemplates::loadfile('div', '');

		
		foreach($glue  as $record ) {
			if( $mods[$record['module']][1] ) { //check module status

				if( !$record['method'] ) 
				{
					$record['method'] = 'show'; //default method = show
				}
				$record['module'] =preg_replace('/(([a-z]+_)+)([a-z]+$)/','\\3',$record['module']);
				$object = new $record['module']( $this->_db, $this->_acl );
				$vars['content']=call_user_func_array(array($object,$record['method']),explode(',',$record['input']));
				$vars['class']=$record['module'];
				if($record['div']) $result .= cmstemplates::parse( $templ , $vars );
				else $result .= $vars['content'];
			}
		}
	}
	

		return $result;
	}
	
	function getStructureIds( $module, $method, $input=FALSE )
	{
		$config = loadConfig( CMS_CONFIG_PATH.'glue.conf' );
		//search by module and method and optionally input
		$strucids = array();
		foreach( $config as $key => $value ) {
			if( $value[3]==$module && $value[4]==$method && ($input===FALSE || $value[5]==$input)) {
				$strucids[]=$value[0];
			}
		}
		return $strucids;
	}

}
?>